package com.inspect.system.mapper;

import com.inspect.system.domain.SysRoleMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysRoleMenuMapper {
    int checkMenuExistRole(Long roleId);

    int deleteRoleMenuByRoleId(Long roleId);

    int deleteRoleMenu(Long[] roleIds);

    int batchRoleMenu(List<SysRoleMenu> roleMenuList);
}
